package itz.controlador;
import java.io.*;
import java.util.*;
import itz.modelo.*;
import javax.swing.*;
import javax.swing.filechooser.FileNameExtensionFilter;
public class OperacionesArchivo {
	public static void guardar(ArrayList<Alumno> lstAlumnos) {
		try {
			JFileChooser jf = new JFileChooser();
		    FileNameExtensionFilter filtro = 
		    		new FileNameExtensionFilter(
		        "Archivo de objetos", "obj");
		    jf.setFileFilter(filtro);
		    int resultado = jf.showSaveDialog(null);
		    if(resultado == JFileChooser.APPROVE_OPTION) {
		       String nomarch=jf.getSelectedFile().getAbsolutePath();
		       FileOutputStream archivo=new FileOutputStream(nomarch);
		       ObjectOutputStream escribir=
		    		   new ObjectOutputStream(archivo);
		       for (Alumno alux:lstAlumnos) {
		    	   escribir.writeObject(alux);
		       }
		       escribir.close();
		    }
		} catch (Exception ex) {
			JOptionPane.showMessageDialog(null,"Error al crear Archivo");
		}
	}
	public static ArrayList<Alumno> abrir() {
		ArrayList<Alumno> lstAlumnos=new ArrayList<Alumno>();
		ObjectInputStream leer=null;
		try {
			JFileChooser jf = new JFileChooser();
		    FileNameExtensionFilter filtro = 
		    		new FileNameExtensionFilter(
		        "Archivo de objetos", "obj");
		    jf.setFileFilter(filtro);
		    int resultado = jf.showOpenDialog(null);
		    if(resultado == JFileChooser.APPROVE_OPTION) {
		    	String nomarch=jf.getSelectedFile().getAbsolutePath();
		    	FileInputStream archivo=new FileInputStream(nomarch);
		    	leer=new ObjectInputStream(archivo);
		    	Alumno alumnox;
		    	while (true) {
		    		alumnox=(Alumno) leer.readObject();
		    		lstAlumnos.add(alumnox);
		    	}
		    }
		} catch (EOFException ex1) { //Excepcion de fin de archivo
			try {
				leer.close();
			} catch (IOException e) {
				e.printStackTrace();
			}
		} catch (Exception ex2) {
			JOptionPane.showMessageDialog(null,"Error al abrir Archivo");
		}
		return lstAlumnos;
	}
}
