package itz.modelo;
import java.io.Serializable;
public class Alumno implements Serializable {
	//Atributos
	private long noctrl;
	private String nombre;
	private String carrera;
	private int semestre;
	//Constructores
	public Alumno() {
		super();
	}
	public Alumno(long noctrl) {
		super();
		this.noctrl = noctrl;
	}
	public Alumno(long noctrl, String nombre, String carrera, int semestre) {
		super();
		this.noctrl = noctrl;
		this.nombre = nombre;
		this.carrera = carrera;
		this.semestre = semestre;
	}
	//Metodos getters y setters
	public long getNoctrl() {
		return noctrl;
	}
	public void setNoctrl(long noctrl) {
		if (noctrl>0) this.noctrl = noctrl;
	}
	public String getNombre() {
		return nombre;
	}
	public void setNombre(String nombre) {
		this.nombre = nombre;
	}
	public String getCarrera() {
		return carrera;
	}
	public void setCarrera(String carrera) {
		this.carrera = carrera;
	}
	public int getSemestre() {
		return semestre;
	}
	public void setSemestre(int semestre) {
		this.semestre = semestre;
	}
	//Sobreescribir
	@Override
	public String toString() {
		return  noctrl + "," + nombre + ","+ carrera + "," + semestre;
	}
	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (!(obj instanceof Alumno))
			return false;
		Alumno other = (Alumno) obj;
		return noctrl == other.noctrl;
	}
}
